Obteniendo el error “cx_Oracle.DatabaseError: DPI-1050: Oracle Client library debe estar en la versión 11.2 o superior”

Estoy tratando de usar pycharm (3.3) para acceder a mi Oracle SQL (11.2.0) usando los siguientes códigos pero obteniendo un error con los detalles a continuación.

Código utilizado:

import cx_Oracle connection = cx_Oracle.connect('uname/pwd@14@server') 

Error recibido

 cx_Oracle.DatabaseError: DPI-1050: Oracle Client library must be at version 11.2 or higher 

Tuve un problema muy similar al tuyo. Pude resolverlo usando un método de conexión diferente:

 my_dsn = cx_Oracle.makedsn("host",port,sid="sid") connection = cx_Oracle.connect(user="user", password="password", dsn=my_dsn) cursor = connection.cursor() querystring = "SQL query" cursor.execute(querystring) 

Consulte http://cx-oracle.readthedocs.io/en/latest/module.html para obtener más información.